1. Registry
  2. Packages
  3. OVH
  4. API Docs
  5. getCloudLoadbalancerPool
Viewing docs for OVHCloud v2.21.0
published on Friday, Sep 25, 2026 by OVHcloud
ovh logo
Viewing docs for OVHCloud v2.21.0
published on Friday, Sep 25, 2026 by OVHcloud

    Use this data source to get information about a pool in a public cloud load balancer.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as ovh from "@ovhcloud/pulumi-ovh";
    
    const pool = ovh.getCloudLoadbalancerPool({
        serviceName: "<public cloud project ID>",
        loadbalancerId: "<load balancer ID>",
        id: "<pool ID>",
    });
    export const poolAlgorithm = pool.then(pool => pool.algorithm);
    
    import pulumi
    import pulumi_ovh as ovh
    
    pool = ovh.get_cloud_loadbalancer_pool(service_name="<public cloud project ID>",
        loadbalancer_id="<load balancer ID>",
        id="<pool ID>")
    pulumi.export("poolAlgorithm", pool.algorithm)
    
    package main
    
    import (
    	"github.com/ovh/pulumi-ovh/sdk/v2/go/ovh"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		pool, err := ovh.LookupCloudLoadbalancerPool(ctx, &ovh.LookupCloudLoadbalancerPoolArgs{
    			ServiceName:    "<public cloud project ID>",
    			LoadbalancerId: "<load balancer ID>",
    			Id:             "<pool ID>",
    		}, nil)
    		if err != nil {
    			return err
    		}
    		ctx.Export("poolAlgorithm", pool.Algorithm)
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Ovh = Pulumi.Ovh;
    
    return await Deployment.RunAsync(() => 
    {
        var pool = Ovh.GetCloudLoadbalancerPool.Invoke(new()
        {
            ServiceName = "<public cloud project ID>",
            LoadbalancerId = "<load balancer ID>",
            Id = "<pool ID>",
        });
    
        return new Dictionary<string, object?>
        {
            ["poolAlgorithm"] = pool.Apply(getCloudLoadbalancerPoolResult => getCloudLoadbalancerPoolResult.Algorithm),
        };
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.ovh.OvhFunctions;
    import com.pulumi.ovh.inputs.GetCloudLoadbalancerPoolArgs;
    import java.util.List;
    import java.util.ArrayList;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var pool = OvhFunctions.getCloudLoadbalancerPool(GetCloudLoadbalancerPoolArgs.builder()
                .serviceName("<public cloud project ID>")
                .loadbalancerId("<load balancer ID>")
                .id("<pool ID>")
                .build());
    
            ctx.export("poolAlgorithm", pool.algorithm());
        }
    }
    
    variables:
      pool:
        fn::invoke:
          function: ovh:getCloudLoadbalancerPool
          arguments:
            serviceName: <public cloud project ID>
            loadbalancerId: <load balancer ID>
            id: <pool ID>
    outputs:
      poolAlgorithm: ${pool.algorithm}
    
    Example coming soon!
    

    Using getCloudLoadbalancerPool

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getCloudLoadbalancerPool(args: GetCloudLoadbalancerPoolArgs, opts?: InvokeOptions): Promise<GetCloudLoadbalancerPoolResult>
    function getCloudLoadbalancerPoolOutput(args: GetCloudLoadbalancerPoolOutputArgs, opts?: InvokeOutputOptions): Output<GetCloudLoadbalancerPoolResult>
    def get_cloud_loadbalancer_pool(id: Optional[str] = None,
                                    loadbalancer_id: Optional[str] = None,
                                    service_name: Optional[str] = None,
                                    opts: Optional[InvokeOptions] = None) -> GetCloudLoadbalancerPoolResult
    def get_cloud_loadbalancer_pool_output(id: pulumi.Input[Optional[str]] = None,
                                    loadbalancer_id: pulumi.Input[Optional[str]] = None,
                                    service_name: pulumi.Input[Optional[str]] = None,
                                    opts: Optional[InvokeOutputOptions] = None) -> Output[GetCloudLoadbalancerPoolResult]
    func LookupCloudLoadbalancerPool(ctx *Context, args *LookupCloudLoadbalancerPoolArgs, opts ...InvokeOption) (*LookupCloudLoadbalancerPoolResult, error)
    func LookupCloudLoadbalancerPoolOutput(ctx *Context, args *LookupCloudLoadbalancerPoolOutputArgs, opts ...InvokeOption) LookupCloudLoadbalancerPoolResultOutput

    > Note: This function is named LookupCloudLoadbalancerPool in the Go SDK.

    public static class GetCloudLoadbalancerPool 
    {
        public static Task<GetCloudLoadbalancerPoolResult> InvokeAsync(GetCloudLoadbalancerPoolArgs args, InvokeOptions? opts = null)
        public static Output<GetCloudLoadbalancerPoolResult> Invoke(GetCloudLoadbalancerPoolInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetCloudLoadbalancerPoolResult> Invoke(GetCloudLoadbalancerPoolInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetCloudLoadbalancerPoolResult> getCloudLoadbalancerPool(GetCloudLoadbalancerPoolArgs args, InvokeOptions options)
    public static Output<GetCloudLoadbalancerPoolResult> getCloudLoadbalancerPool(GetCloudLoadbalancerPoolArgs args, InvokeOptions options)
    public static Output<GetCloudLoadbalancerPoolResult> getCloudLoadbalancerPool(GetCloudLoadbalancerPoolArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: ovh:index/getCloudLoadbalancerPool:getCloudLoadbalancerPool
      arguments:
        # arguments dictionary
    data "ovh_get_cloud_loadbalancer_pool" "name" {
        # arguments
    }

    The following arguments are supported:

    Id string
    ID of the pool.
    LoadbalancerId string
    ID of the load balancer.
    ServiceName string
    Service name of the resource representing the id of the cloud project.
    Id string
    ID of the pool.
    LoadbalancerId string
    ID of the load balancer.
    ServiceName string
    Service name of the resource representing the id of the cloud project.
    id string
    ID of the pool.
    loadbalancer_id string
    ID of the load balancer.
    service_name string
    Service name of the resource representing the id of the cloud project.
    id String
    ID of the pool.
    loadbalancerId String
    ID of the load balancer.
    serviceName String
    Service name of the resource representing the id of the cloud project.
    id string
    ID of the pool.
    loadbalancerId string
    ID of the load balancer.
    serviceName string
    Service name of the resource representing the id of the cloud project.
    id str
    ID of the pool.
    loadbalancer_id str
    ID of the load balancer.
    service_name str
    Service name of the resource representing the id of the cloud project.
    id String
    ID of the pool.
    loadbalancerId String
    ID of the load balancer.
    serviceName String
    Service name of the resource representing the id of the cloud project.

    getCloudLoadbalancerPool Result

    The following output properties are available:

    Algorithm string
    Load balancing algorithm.
    Checksum string
    Computed hash representing the current target specification value.
    CreatedAt string
    Creation date of the pool.
    CurrentState GetCloudLoadbalancerPoolCurrentState
    Current state of the pool:
    Description string
    Pool description.
    HealthMonitor GetCloudLoadbalancerPoolHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    Id string
    Health monitor ID.
    LoadbalancerId string
    Name string
    Pool name.
    Persistence GetCloudLoadbalancerPoolPersistence
    Session persistence configuration (same schema as persistence).
    Protocol string
    Protocol used by the pool.
    ResourceStatus string
    Pool readiness in the system (CREATING, DELETING, ERROR, OUT_OF_SYNC, READY, UPDATING).
    ServiceName string
    UpdatedAt string
    Last update date of the pool.
    Algorithm string
    Load balancing algorithm.
    Checksum string
    Computed hash representing the current target specification value.
    CreatedAt string
    Creation date of the pool.
    CurrentState GetCloudLoadbalancerPoolCurrentState
    Current state of the pool:
    Description string
    Pool description.
    HealthMonitor GetCloudLoadbalancerPoolHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    Id string
    Health monitor ID.
    LoadbalancerId string
    Name string
    Pool name.
    Persistence GetCloudLoadbalancerPoolPersistence
    Session persistence configuration (same schema as persistence).
    Protocol string
    Protocol used by the pool.
    ResourceStatus string
    Pool readiness in the system (CREATING, DELETING, ERROR, OUT_OF_SYNC, READY, UPDATING).
    ServiceName string
    UpdatedAt string
    Last update date of the pool.
    algorithm string
    Load balancing algorithm.
    checksum string
    Computed hash representing the current target specification value.
    created_at string
    Creation date of the pool.
    current_state object
    Current state of the pool:
    description string
    Pool description.
    health_monitor object
    Health monitor configuration (same schema as health_monitor), plus:
    id string
    Health monitor ID.
    loadbalancer_id string
    name string
    Pool name.
    persistence object
    Session persistence configuration (same schema as persistence).
    protocol string
    Protocol used by the pool.
    resource_status string
    Pool readiness in the system (CREATING, DELETING, ERROR, OUT_OF_SYNC, READY, UPDATING).
    service_name string
    updated_at string
    Last update date of the pool.
    algorithm String
    Load balancing algorithm.
    checksum String
    Computed hash representing the current target specification value.
    createdAt String
    Creation date of the pool.
    currentState GetCloudLoadbalancerPoolCurrentState
    Current state of the pool:
    description String
    Pool description.
    healthMonitor GetCloudLoadbalancerPoolHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    id String
    Health monitor ID.
    loadbalancerId String
    name String
    Pool name.
    persistence GetCloudLoadbalancerPoolPersistence
    Session persistence configuration (same schema as persistence).
    protocol String
    Protocol used by the pool.
    resourceStatus String
    Pool readiness in the system (CREATING, DELETING, ERROR, OUT_OF_SYNC, READY, UPDATING).
    serviceName String
    updatedAt String
    Last update date of the pool.
    algorithm string
    Load balancing algorithm.
    checksum string
    Computed hash representing the current target specification value.
    createdAt string
    Creation date of the pool.
    currentState GetCloudLoadbalancerPoolCurrentState
    Current state of the pool:
    description string
    Pool description.
    healthMonitor GetCloudLoadbalancerPoolHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    id string
    Health monitor ID.
    loadbalancerId string
    name string
    Pool name.
    persistence GetCloudLoadbalancerPoolPersistence
    Session persistence configuration (same schema as persistence).
    protocol string
    Protocol used by the pool.
    resourceStatus string
    Pool readiness in the system (CREATING, DELETING, ERROR, OUT_OF_SYNC, READY, UPDATING).
    serviceName string
    updatedAt string
    Last update date of the pool.
    algorithm str
    Load balancing algorithm.
    checksum str
    Computed hash representing the current target specification value.
    created_at str
    Creation date of the pool.
    current_state GetCloudLoadbalancerPoolCurrentState
    Current state of the pool:
    description str
    Pool description.
    health_monitor GetCloudLoadbalancerPoolHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    id str
    Health monitor ID.
    loadbalancer_id str
    name str
    Pool name.
    persistence GetCloudLoadbalancerPoolPersistence
    Session persistence configuration (same schema as persistence).
    protocol str
    Protocol used by the pool.
    resource_status str
    Pool readiness in the system (CREATING, DELETING, ERROR, OUT_OF_SYNC, READY, UPDATING).
    service_name str
    updated_at str
    Last update date of the pool.
    algorithm String
    Load balancing algorithm.
    checksum String
    Computed hash representing the current target specification value.
    createdAt String
    Creation date of the pool.
    currentState Property Map
    Current state of the pool:
    description String
    Pool description.
    healthMonitor Property Map
    Health monitor configuration (same schema as health_monitor), plus:
    id String
    Health monitor ID.
    loadbalancerId String
    name String
    Pool name.
    persistence Property Map
    Session persistence configuration (same schema as persistence).
    protocol String
    Protocol used by the pool.
    resourceStatus String
    Pool readiness in the system (CREATING, DELETING, ERROR, OUT_OF_SYNC, READY, UPDATING).
    serviceName String
    updatedAt String
    Last update date of the pool.

    Supporting Types

    GetCloudLoadbalancerPoolCurrentState

    Algorithm string
    Load balancing algorithm.
    Description string
    Pool description.
    HealthMonitor GetCloudLoadbalancerPoolCurrentStateHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    Name string
    Pool name.
    OperatingStatus string
    Operating status of the pool.
    Persistence GetCloudLoadbalancerPoolCurrentStatePersistence
    Session persistence configuration (same schema as persistence).
    Protocol string
    Protocol used by the pool.
    ProvisioningStatus string
    Provisioning status of the pool.
    Algorithm string
    Load balancing algorithm.
    Description string
    Pool description.
    HealthMonitor GetCloudLoadbalancerPoolCurrentStateHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    Name string
    Pool name.
    OperatingStatus string
    Operating status of the pool.
    Persistence GetCloudLoadbalancerPoolCurrentStatePersistence
    Session persistence configuration (same schema as persistence).
    Protocol string
    Protocol used by the pool.
    ProvisioningStatus string
    Provisioning status of the pool.
    algorithm string
    Load balancing algorithm.
    description string
    Pool description.
    health_monitor object
    Health monitor configuration (same schema as health_monitor), plus:
    name string
    Pool name.
    operating_status string
    Operating status of the pool.
    persistence object
    Session persistence configuration (same schema as persistence).
    protocol string
    Protocol used by the pool.
    provisioning_status string
    Provisioning status of the pool.
    algorithm String
    Load balancing algorithm.
    description String
    Pool description.
    healthMonitor GetCloudLoadbalancerPoolCurrentStateHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    name String
    Pool name.
    operatingStatus String
    Operating status of the pool.
    persistence GetCloudLoadbalancerPoolCurrentStatePersistence
    Session persistence configuration (same schema as persistence).
    protocol String
    Protocol used by the pool.
    provisioningStatus String
    Provisioning status of the pool.
    algorithm string
    Load balancing algorithm.
    description string
    Pool description.
    healthMonitor GetCloudLoadbalancerPoolCurrentStateHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    name string
    Pool name.
    operatingStatus string
    Operating status of the pool.
    persistence GetCloudLoadbalancerPoolCurrentStatePersistence
    Session persistence configuration (same schema as persistence).
    protocol string
    Protocol used by the pool.
    provisioningStatus string
    Provisioning status of the pool.
    algorithm str
    Load balancing algorithm.
    description str
    Pool description.
    health_monitor GetCloudLoadbalancerPoolCurrentStateHealthMonitor
    Health monitor configuration (same schema as health_monitor), plus:
    name str
    Pool name.
    operating_status str
    Operating status of the pool.
    persistence GetCloudLoadbalancerPoolCurrentStatePersistence
    Session persistence configuration (same schema as persistence).
    protocol str
    Protocol used by the pool.
    provisioning_status str
    Provisioning status of the pool.
    algorithm String
    Load balancing algorithm.
    description String
    Pool description.
    healthMonitor Property Map
    Health monitor configuration (same schema as health_monitor), plus:
    name String
    Pool name.
    operatingStatus String
    Operating status of the pool.
    persistence Property Map
    Session persistence configuration (same schema as persistence).
    protocol String
    Protocol used by the pool.
    provisioningStatus String
    Provisioning status of the pool.

    GetCloudLoadbalancerPoolCurrentStateHealthMonitor

    Delay int
    Seconds between health checks.
    DomainName string
    Domain name for health check requests.
    ExpectedCodes string
    Expected HTTP response codes (e.g. 200, 200-202).
    HttpMethod string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    HttpVersion string
    HTTP version for health checks (1.0 or 1.1).
    Id string
    ID of the pool.
    MaxRetries int
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    MaxRetriesDown int
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    Name string
    Pool name.
    OperatingStatus string
    Operating status of the pool.
    ProvisioningStatus string
    Provisioning status of the pool.
    Timeout int
    Seconds to wait for a health check response.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    UrlPath string
    URL path for HTTP/HTTPS health checks.
    Delay int
    Seconds between health checks.
    DomainName string
    Domain name for health check requests.
    ExpectedCodes string
    Expected HTTP response codes (e.g. 200, 200-202).
    HttpMethod string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    HttpVersion string
    HTTP version for health checks (1.0 or 1.1).
    Id string
    ID of the pool.
    MaxRetries int
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    MaxRetriesDown int
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    Name string
    Pool name.
    OperatingStatus string
    Operating status of the pool.
    ProvisioningStatus string
    Provisioning status of the pool.
    Timeout int
    Seconds to wait for a health check response.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    UrlPath string
    URL path for HTTP/HTTPS health checks.
    delay number
    Seconds between health checks.
    domain_name string
    Domain name for health check requests.
    expected_codes string
    Expected HTTP response codes (e.g. 200, 200-202).
    http_method string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    http_version string
    HTTP version for health checks (1.0 or 1.1).
    id string
    ID of the pool.
    max_retries number
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    max_retries_down number
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name string
    Pool name.
    operating_status string
    Operating status of the pool.
    provisioning_status string
    Provisioning status of the pool.
    timeout number
    Seconds to wait for a health check response.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    url_path string
    URL path for HTTP/HTTPS health checks.
    delay Integer
    Seconds between health checks.
    domainName String
    Domain name for health check requests.
    expectedCodes String
    Expected HTTP response codes (e.g. 200, 200-202).
    httpMethod String
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    httpVersion String
    HTTP version for health checks (1.0 or 1.1).
    id String
    ID of the pool.
    maxRetries Integer
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    maxRetriesDown Integer
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name String
    Pool name.
    operatingStatus String
    Operating status of the pool.
    provisioningStatus String
    Provisioning status of the pool.
    timeout Integer
    Seconds to wait for a health check response.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    urlPath String
    URL path for HTTP/HTTPS health checks.
    delay number
    Seconds between health checks.
    domainName string
    Domain name for health check requests.
    expectedCodes string
    Expected HTTP response codes (e.g. 200, 200-202).
    httpMethod string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    httpVersion string
    HTTP version for health checks (1.0 or 1.1).
    id string
    ID of the pool.
    maxRetries number
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    maxRetriesDown number
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name string
    Pool name.
    operatingStatus string
    Operating status of the pool.
    provisioningStatus string
    Provisioning status of the pool.
    timeout number
    Seconds to wait for a health check response.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    urlPath string
    URL path for HTTP/HTTPS health checks.
    delay int
    Seconds between health checks.
    domain_name str
    Domain name for health check requests.
    expected_codes str
    Expected HTTP response codes (e.g. 200, 200-202).
    http_method str
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    http_version str
    HTTP version for health checks (1.0 or 1.1).
    id str
    ID of the pool.
    max_retries int
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    max_retries_down int
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name str
    Pool name.
    operating_status str
    Operating status of the pool.
    provisioning_status str
    Provisioning status of the pool.
    timeout int
    Seconds to wait for a health check response.
    type str
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    url_path str
    URL path for HTTP/HTTPS health checks.
    delay Number
    Seconds between health checks.
    domainName String
    Domain name for health check requests.
    expectedCodes String
    Expected HTTP response codes (e.g. 200, 200-202).
    httpMethod String
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    httpVersion String
    HTTP version for health checks (1.0 or 1.1).
    id String
    ID of the pool.
    maxRetries Number
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    maxRetriesDown Number
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name String
    Pool name.
    operatingStatus String
    Operating status of the pool.
    provisioningStatus String
    Provisioning status of the pool.
    timeout Number
    Seconds to wait for a health check response.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    urlPath String
    URL path for HTTP/HTTPS health checks.

    GetCloudLoadbalancerPoolCurrentStatePersistence

    CookieName string
    Cookie name for APP_COOKIE persistence type.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    CookieName string
    Cookie name for APP_COOKIE persistence type.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookie_name string
    Cookie name for APP_COOKIE persistence type.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookieName String
    Cookie name for APP_COOKIE persistence type.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookieName string
    Cookie name for APP_COOKIE persistence type.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookie_name str
    Cookie name for APP_COOKIE persistence type.
    type str
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookieName String
    Cookie name for APP_COOKIE persistence type.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).

    GetCloudLoadbalancerPoolHealthMonitor

    Delay int
    Seconds between health checks.
    DomainName string
    Domain name for health check requests.
    ExpectedCodes string
    Expected HTTP response codes (e.g. 200, 200-202).
    HttpMethod string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    HttpVersion string
    HTTP version for health checks (1.0 or 1.1).
    MaxRetries int
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    MaxRetriesDown int
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    Name string
    Pool name.
    Timeout int
    Seconds to wait for a health check response.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    UrlPath string
    URL path for HTTP/HTTPS health checks.
    Delay int
    Seconds between health checks.
    DomainName string
    Domain name for health check requests.
    ExpectedCodes string
    Expected HTTP response codes (e.g. 200, 200-202).
    HttpMethod string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    HttpVersion string
    HTTP version for health checks (1.0 or 1.1).
    MaxRetries int
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    MaxRetriesDown int
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    Name string
    Pool name.
    Timeout int
    Seconds to wait for a health check response.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    UrlPath string
    URL path for HTTP/HTTPS health checks.
    delay number
    Seconds between health checks.
    domain_name string
    Domain name for health check requests.
    expected_codes string
    Expected HTTP response codes (e.g. 200, 200-202).
    http_method string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    http_version string
    HTTP version for health checks (1.0 or 1.1).
    max_retries number
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    max_retries_down number
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name string
    Pool name.
    timeout number
    Seconds to wait for a health check response.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    url_path string
    URL path for HTTP/HTTPS health checks.
    delay Integer
    Seconds between health checks.
    domainName String
    Domain name for health check requests.
    expectedCodes String
    Expected HTTP response codes (e.g. 200, 200-202).
    httpMethod String
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    httpVersion String
    HTTP version for health checks (1.0 or 1.1).
    maxRetries Integer
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    maxRetriesDown Integer
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name String
    Pool name.
    timeout Integer
    Seconds to wait for a health check response.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    urlPath String
    URL path for HTTP/HTTPS health checks.
    delay number
    Seconds between health checks.
    domainName string
    Domain name for health check requests.
    expectedCodes string
    Expected HTTP response codes (e.g. 200, 200-202).
    httpMethod string
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    httpVersion string
    HTTP version for health checks (1.0 or 1.1).
    maxRetries number
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    maxRetriesDown number
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name string
    Pool name.
    timeout number
    Seconds to wait for a health check response.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    urlPath string
    URL path for HTTP/HTTPS health checks.
    delay int
    Seconds between health checks.
    domain_name str
    Domain name for health check requests.
    expected_codes str
    Expected HTTP response codes (e.g. 200, 200-202).
    http_method str
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    http_version str
    HTTP version for health checks (1.0 or 1.1).
    max_retries int
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    max_retries_down int
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name str
    Pool name.
    timeout int
    Seconds to wait for a health check response.
    type str
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    url_path str
    URL path for HTTP/HTTPS health checks.
    delay Number
    Seconds between health checks.
    domainName String
    Domain name for health check requests.
    expectedCodes String
    Expected HTTP response codes (e.g. 200, 200-202).
    httpMethod String
    HTTP method for health checks (GET, HEAD, POST, PUT, DELETE, PATCH, OPTIONS, TRACE).
    httpVersion String
    HTTP version for health checks (1.0 or 1.1).
    maxRetries Number
    Number of consecutive health check failures before marking a member as unhealthy (1-10).
    maxRetriesDown Number
    Number of consecutive health check failures before marking a member as ERROR (1-10).
    name String
    Pool name.
    timeout Number
    Seconds to wait for a health check response.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    urlPath String
    URL path for HTTP/HTTPS health checks.

    GetCloudLoadbalancerPoolPersistence

    CookieName string
    Cookie name for APP_COOKIE persistence type.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    CookieName string
    Cookie name for APP_COOKIE persistence type.
    Type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookie_name string
    Cookie name for APP_COOKIE persistence type.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookieName String
    Cookie name for APP_COOKIE persistence type.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookieName string
    Cookie name for APP_COOKIE persistence type.
    type string
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookie_name str
    Cookie name for APP_COOKIE persistence type.
    type str
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).
    cookieName String
    Cookie name for APP_COOKIE persistence type.
    type String
    Health monitor type (HTTP, HTTPS, PING, TCP, UDP_CONNECT, SCTP, TLS_HELLO).

    Package Details

    Repository
    ovh ovh/pulumi-ovh
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the ovh Terraform Provider.
    ovh logo
    Viewing docs for OVHCloud v2.21.0
    published on Friday, Sep 25, 2026 by OVHcloud

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial